using System;
using Consulenza.ReportCommon;
using Consulenza.ReportWriter.Business.OBJ_PDF;
using Consulenza.ReportWriter.Business;

namespace Consulenza.ReportWriter.Manager.Chapter.Base.Proposta
{
    public class IntestazioneOperazioniProposteDettaglio_PropostaAdeguata : Entity.Chapter
    {       
        public IntestazioneOperazioniProposteDettaglio_PropostaAdeguata(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {          
            Draw();
        }

        public IntestazioneOperazioniProposteDettaglio_PropostaAdeguata(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }

        protected override sealed void Draw()
        {
            var data = new FormattedTextAreaPDF("Report prodotto il " + Helper.FormatDateMonthName(DateTime.Now), 315, 250, ceTe.DynamicPDF.TextAlign.Left) { Y = 62, FontSize = 11, AbsolutePosition = true, AutoIncrementYWritable = false };

            var intestazione = new FormattedTextAreaPDF("OPERAZIONI PROPOSTE - DETTAGLIO", 315, 250, ceTe.DynamicPDF.TextAlign.Left) { Y = 75, FontSize = 13, FontBold = true, AbsolutePosition = true, AutoIncrementYWritable = false };

            AddElement(new PagePDF(PagePDF.PagePDFType.Generic));
            AddElement(data);
            AddElement(intestazione);
        }
    }
}
